Package openlink.util

## Class OPLHeapClob.BlobOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - openlink.util.OPLHeapClob.BlobOutputStream

Enclosing class:
  OPLHeapClob

    protected class OPLHeapClob.BlobOutputStream
    extends java.io.OutputStream

### Constructor Summary

Constructors
`protected` `BlobOutputStream​(java.io.Writer out)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close​()`
`void` `write​(byte[] b, int off, int len)`
`void` `write​(int b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from class java.io.OutputStream

`flush, write`

### Constructor Detail

#### BlobOutputStream

    protected BlobOutputStream​(java.io.Writer out)

### Method Detail

#### write

    public void write​(int b)
               throws java.io.IOException

Specified by:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write​(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### close

    public void close​()
               throws java.io.IOException

Overrides:
  `close` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`